curl --request POST \
--url https://api.sandbox.finsei.com/v2/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "12345678AAaa!",
"walletDescription": "My First Wallet",
"walletColor": "#FF453A",
"walletCurrencyId": "EUR",
"walletId": 1,
"feeWalletId": 1,
"firstName": "Aliaksandr",
"lastName": "Lastname",
"street": "Gagarina street",
"house": "22",
"apartment": "12B",
"city": "London",
"countryId": "LV",
"postalCode": "10001",
"phone": "+48511155588",
"phone3ds": "+48511155588",
"email3ds": "client@example.com",
"signToken": ""
}
'import requests
url = "https://api.sandbox.finsei.com/v2/card"
payload = {
"password": "12345678AAaa!",
"walletDescription": "My First Wallet",
"walletColor": "#FF453A",
"walletCurrencyId": "EUR",
"walletId": 1,
"feeWalletId": 1,
"firstName": "Aliaksandr",
"lastName": "Lastname",
"street": "Gagarina street",
"house": "22",
"apartment": "12B",
"city": "London",
"countryId": "LV",
"postalCode": "10001",
"phone": "+48511155588",
"phone3ds": "+48511155588",
"email3ds": "client@example.com",
"signToken": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
password: '12345678AAaa!',
walletDescription: 'My First Wallet',
walletColor: '#FF453A',
walletCurrencyId: 'EUR',
walletId: 1,
feeWalletId: 1,
firstName: 'Aliaksandr',
lastName: 'Lastname',
street: 'Gagarina street',
house: '22',
apartment: '12B',
city: 'London',
countryId: 'LV',
postalCode: '10001',
phone: '+48511155588',
phone3ds: '+48511155588',
email3ds: 'client@example.com',
signToken: ''
})
};
fetch('https://api.sandbox.finsei.com/v2/card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/card",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'password' => '12345678AAaa!',
'walletDescription' => 'My First Wallet',
'walletColor' => '#FF453A',
'walletCurrencyId' => 'EUR',
'walletId' => 1,
'feeWalletId' => 1,
'firstName' => 'Aliaksandr',
'lastName' => 'Lastname',
'street' => 'Gagarina street',
'house' => '22',
'apartment' => '12B',
'city' => 'London',
'countryId' => 'LV',
'postalCode' => '10001',
'phone' => '+48511155588',
'phone3ds' => '+48511155588',
'email3ds' => 'client@example.com',
'signToken' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/card"
payload := strings.NewReader("{\n \"password\": \"12345678AAaa!\",\n \"walletDescription\": \"My First Wallet\",\n \"walletColor\": \"#FF453A\",\n \"walletCurrencyId\": \"EUR\",\n \"walletId\": 1,\n \"feeWalletId\": 1,\n \"firstName\": \"Aliaksandr\",\n \"lastName\": \"Lastname\",\n \"street\": \"Gagarina street\",\n \"house\": \"22\",\n \"apartment\": \"12B\",\n \"city\": \"London\",\n \"countryId\": \"LV\",\n \"postalCode\": \"10001\",\n \"phone\": \"+48511155588\",\n \"phone3ds\": \"+48511155588\",\n \"email3ds\": \"client@example.com\",\n \"signToken\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v2/card")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"password\": \"12345678AAaa!\",\n \"walletDescription\": \"My First Wallet\",\n \"walletColor\": \"#FF453A\",\n \"walletCurrencyId\": \"EUR\",\n \"walletId\": 1,\n \"feeWalletId\": 1,\n \"firstName\": \"Aliaksandr\",\n \"lastName\": \"Lastname\",\n \"street\": \"Gagarina street\",\n \"house\": \"22\",\n \"apartment\": \"12B\",\n \"city\": \"London\",\n \"countryId\": \"LV\",\n \"postalCode\": \"10001\",\n \"phone\": \"+48511155588\",\n \"phone3ds\": \"+48511155588\",\n \"email3ds\": \"client@example.com\",\n \"signToken\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/card")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"password\": \"12345678AAaa!\",\n \"walletDescription\": \"My First Wallet\",\n \"walletColor\": \"#FF453A\",\n \"walletCurrencyId\": \"EUR\",\n \"walletId\": 1,\n \"feeWalletId\": 1,\n \"firstName\": \"Aliaksandr\",\n \"lastName\": \"Lastname\",\n \"street\": \"Gagarina street\",\n \"house\": \"22\",\n \"apartment\": \"12B\",\n \"city\": \"London\",\n \"countryId\": \"LV\",\n \"postalCode\": \"10001\",\n \"phone\": \"+48511155588\",\n \"phone3ds\": \"+48511155588\",\n \"email3ds\": \"client@example.com\",\n \"signToken\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"data": {
"cardId": "<string>",
"cardUuid": "<string>"
}
}{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}POST /v2/card
curl --request POST \
--url https://api.sandbox.finsei.com/v2/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "12345678AAaa!",
"walletDescription": "My First Wallet",
"walletColor": "#FF453A",
"walletCurrencyId": "EUR",
"walletId": 1,
"feeWalletId": 1,
"firstName": "Aliaksandr",
"lastName": "Lastname",
"street": "Gagarina street",
"house": "22",
"apartment": "12B",
"city": "London",
"countryId": "LV",
"postalCode": "10001",
"phone": "+48511155588",
"phone3ds": "+48511155588",
"email3ds": "client@example.com",
"signToken": ""
}
'import requests
url = "https://api.sandbox.finsei.com/v2/card"
payload = {
"password": "12345678AAaa!",
"walletDescription": "My First Wallet",
"walletColor": "#FF453A",
"walletCurrencyId": "EUR",
"walletId": 1,
"feeWalletId": 1,
"firstName": "Aliaksandr",
"lastName": "Lastname",
"street": "Gagarina street",
"house": "22",
"apartment": "12B",
"city": "London",
"countryId": "LV",
"postalCode": "10001",
"phone": "+48511155588",
"phone3ds": "+48511155588",
"email3ds": "client@example.com",
"signToken": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
password: '12345678AAaa!',
walletDescription: 'My First Wallet',
walletColor: '#FF453A',
walletCurrencyId: 'EUR',
walletId: 1,
feeWalletId: 1,
firstName: 'Aliaksandr',
lastName: 'Lastname',
street: 'Gagarina street',
house: '22',
apartment: '12B',
city: 'London',
countryId: 'LV',
postalCode: '10001',
phone: '+48511155588',
phone3ds: '+48511155588',
email3ds: 'client@example.com',
signToken: ''
})
};
fetch('https://api.sandbox.finsei.com/v2/card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.finsei.com/v2/card",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'password' => '12345678AAaa!',
'walletDescription' => 'My First Wallet',
'walletColor' => '#FF453A',
'walletCurrencyId' => 'EUR',
'walletId' => 1,
'feeWalletId' => 1,
'firstName' => 'Aliaksandr',
'lastName' => 'Lastname',
'street' => 'Gagarina street',
'house' => '22',
'apartment' => '12B',
'city' => 'London',
'countryId' => 'LV',
'postalCode' => '10001',
'phone' => '+48511155588',
'phone3ds' => '+48511155588',
'email3ds' => 'client@example.com',
'signToken' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.finsei.com/v2/card"
payload := strings.NewReader("{\n \"password\": \"12345678AAaa!\",\n \"walletDescription\": \"My First Wallet\",\n \"walletColor\": \"#FF453A\",\n \"walletCurrencyId\": \"EUR\",\n \"walletId\": 1,\n \"feeWalletId\": 1,\n \"firstName\": \"Aliaksandr\",\n \"lastName\": \"Lastname\",\n \"street\": \"Gagarina street\",\n \"house\": \"22\",\n \"apartment\": \"12B\",\n \"city\": \"London\",\n \"countryId\": \"LV\",\n \"postalCode\": \"10001\",\n \"phone\": \"+48511155588\",\n \"phone3ds\": \"+48511155588\",\n \"email3ds\": \"client@example.com\",\n \"signToken\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.finsei.com/v2/card")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"password\": \"12345678AAaa!\",\n \"walletDescription\": \"My First Wallet\",\n \"walletColor\": \"#FF453A\",\n \"walletCurrencyId\": \"EUR\",\n \"walletId\": 1,\n \"feeWalletId\": 1,\n \"firstName\": \"Aliaksandr\",\n \"lastName\": \"Lastname\",\n \"street\": \"Gagarina street\",\n \"house\": \"22\",\n \"apartment\": \"12B\",\n \"city\": \"London\",\n \"countryId\": \"LV\",\n \"postalCode\": \"10001\",\n \"phone\": \"+48511155588\",\n \"phone3ds\": \"+48511155588\",\n \"email3ds\": \"client@example.com\",\n \"signToken\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.finsei.com/v2/card")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"password\": \"12345678AAaa!\",\n \"walletDescription\": \"My First Wallet\",\n \"walletColor\": \"#FF453A\",\n \"walletCurrencyId\": \"EUR\",\n \"walletId\": 1,\n \"feeWalletId\": 1,\n \"firstName\": \"Aliaksandr\",\n \"lastName\": \"Lastname\",\n \"street\": \"Gagarina street\",\n \"house\": \"22\",\n \"apartment\": \"12B\",\n \"city\": \"London\",\n \"countryId\": \"LV\",\n \"postalCode\": \"10001\",\n \"phone\": \"+48511155588\",\n \"phone3ds\": \"+48511155588\",\n \"email3ds\": \"client@example.com\",\n \"signToken\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"data": {
"cardId": "<string>",
"cardUuid": "<string>"
}
}{
"name": "Bad Request",
"message": "<string>",
"status": 400
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"error": {
"code": 404,
"message": "Not Found"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Card type
ChipAndPin, Virtual, Disposable 3D Secure password
"12345678AAaa!"
Description for wallet
"My First Wallet"
Color for wallet label
"#FF453A"
Currency for a newly created card wallet. Defaults to EUR when omitted.
3"EUR"
Card wallet integer ID or UUID
1
Wallet integer ID or UUID for debiting commission. Required when card issue and delivery fees exceed zero.
1
Delivery recipient first name. Used for ChipAndPin cards.
"Aliaksandr"
Delivery recipient last name. Used for ChipAndPin cards.
"Lastname"
Delivery street. Used for ChipAndPin cards.
"Gagarina street"
Delivery house number. Used for ChipAndPin cards.
"22"
Optional apartment number. When provided, the total length of house and apartment must not exceed 43 characters.
8"12B"
Delivery city. Used for ChipAndPin cards.
"London"
Delivery country Alpha-2 code. Used for ChipAndPin cards.
"LV"
Delivery postal code. Used for ChipAndPin cards.
"10001"
Delivery phone. Used for ChipAndPin cards.
"+48511155588"
3D Secure phone number
"+48511155588"
3D Secure email
"client@example.com"
Delivery type. Used for ChipAndPin cards.
Standard, Express MFA sign token
""